# dmd.semantic3

Performs the `semantic3` stage, which deals with function bodies.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: semantic3.d

Documentation: https://dlang.org/phobos/dmd_semantic3.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/semantic3.d

- `semantic3`

  #### Declaration

  `void `semantic3`(Dsymbol `dsym`, Scope* `sc`);`

  Does semantic analysis on function bodies.